# Examples

- [Creating a Simple Transaction](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_simple_tx.md)
- [Verifying a BEEF Structure](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_verifying_beef.md)
- [Creating Transactions with Inputs, Outputs and Templates](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_complex_tx.md)
- [Creating the R-puzzle Script Template](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_script_templates.md)
- [Message Encryption and Decryption](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_encrypt_decrypt_message.md)
- [Message Signing](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_message_signing.md)
- [Building a Custom Transaction Broadcast Client](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_building_custom_tx_broadcaster.md)
- [Verifying Spends with Script Intrepreter](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_verifying_spends.md)
- [BIP32 Key Derivation with HD Wallets](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_hd_wallets.md)
- [Using Type 42 Key Derivation for Bitcoin Wallet Management](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_type_42.md)
- [Creating a Custom Transaction Fee Model](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_fee_modeling.md)
- [Building a Pulse Block Headers Client](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example-building-a-pulse-block-headers-client.md)
- [Using ECIES Encryption](https://docs.bsvblockchain.org/guides/sdks/ts/examples/using-ecies-encryption.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bsvblockchain.org/guides/sdks/ts/examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
